Bug 470465 - Inverted brightness controll on Lenovo SL300
Inverted brightness controll on Lenovo SL300
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-07 06:02 EST by Michal Ingeli
Modified: 2009-09-29 02:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-29 02:06:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
lshal -l (147.41 KB, application/octet-stream)
2008-11-07 06:02 EST, Michal Ingeli
no flags Details
Patch to fix the brightness issue on ThinkPad SL300 (947 bytes, text/plain)
2008-11-14 18:56 EST, Lubomir Rintel
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 12037 None None None Never

  None (edit)
Description Michal Ingeli 2008-11-07 06:02:49 EST
Created attachment 322840 [details]
lshal -l

Description of problem:
Controll of brightnes in inverted on this model of ThinkPad (according to thinkwiki, its using IdeaPad firmware). Adding more backlight with Fn+End causes the brightness go down. Fn+Home vice versa. But the logic of controlling backlight is inverted. So the gnome brightness indicator is comming down when brightness is increasing and up, when decreasing. Also, when inactive for several minutes, powersaving sets brightnes to maximum, as it may think, its minimum.

Version-Release number of selected component (if applicable):
up-to-date rawhide
hal-info-20081022-1.fc10.noarch
hal-libs-0.5.12-12.20081027git.fc10.i386
hal-0.5.12-12.20081027git.fc10.i386

How reproducible:
always with enabled X

Steps to Reproduce:
1. press Fn+Home (with arrow marking down direction)
2. brigtness go up

1. on battery, leave the terminal inactive for several minutes with enabled power saving by decreasing brightness.
2. look ad the difference on the screen brightness

Actual results:
Backlight controll is inverted

Expected results:
Backlight will work according its logic

Additional info:
# dark screen
[root@fight ~]# echo 13 > /sys/class/backlight/acpi_video1/brightness 
# bright screen
[root@fight ~]# echo 0 > /sys/class/backlight/acpi_video1/brightness
Comment 1 Lubomir Rintel 2008-11-14 18:56:22 EST
Created attachment 323670 [details]
Patch to fix the brightness issue on ThinkPad SL300

This fixes the issue. Reassigning to kernel.
Comment 2 Lubomir Rintel 2008-11-15 10:00:34 EST
Works for me. Thanks for fast fix. 

btw, this may also apply to all Lenovo SL series.
Comment 3 Michal Ingeli 2008-11-15 10:03:38 EST
Works for me. Thanks for fast fix. 

btw, this may also apply to all Lenovo SL series.
Comment 4 Lubomir Rintel 2008-11-15 11:26:54 EST
/me makes a note to himself to drop bugzilla login cookie when working on someone else's lappy, since the result may sound somewhat strange :}
Comment 5 Bug Zapper 2008-11-25 23:57:29 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.